Add a couple of initial tests
diff --git a/tests/all.sh b/tests/all.sh
new file mode 100755
index 0000000..2c89fd2
--- /dev/null
+++ b/tests/all.sh
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+out1=../log_bc.txt
+out2=../log_test.txt
+
+rm -rf "$out1"
+rm -rf "$out2"
+
+./parse_print_decimal.sh ../bc "$out1" "$out2" 1 11 0 00000.000000 120492435 1235.682358692356
+
diff --git a/tests/parse_print.sh b/tests/parse_print.sh
new file mode 100755
index 0000000..a8b7c3e
--- /dev/null
+++ b/tests/parse_print.sh
@@ -0,0 +1,2 @@
+#! /bin/sh
+
diff --git a/tests/parse_print_decimal.sh b/tests/parse_print_decimal.sh
new file mode 100755
index 0000000..9c641f1
--- /dev/null
+++ b/tests/parse_print_decimal.sh
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+if [ "$#" -lt 5 ]; then
+	echo "usage: test bc out1 out2 base nums..."
+	exit 1
+fi
+
+set -e
+
+bc="$1"
+shift
+
+out1="$1"
+shift
+
+out2="$1"
+shift
+
+base="$1"
+shift
+
+for var in "$@"; do
+
+	string="$var"
+
+	echo "$string" | bc -q >> "$out1"
+	echo "$string" | "$bc" -q >> "$out2"
+
+done
+
+diff "$out1" "$out2"